//232_geno_ud.nss
//87072: Geno is life and death
//87069: There is no higher calling than the GenoHaradan.
//87071: We see the death of our enemies in our waking thoughts and as we meditate.
//87070: Death is the religion we worship.
void GenoExplosion(object Object1);

void GenoExplosion(object Object1) {
	effect efVisual=EffectVisualEffect(3010);
	effect efDeath=EffectDeath();
	location location1=GetLocation(Object1);
	ApplyEffectAtLocation(0, efVisual, location1, 0.0);

	effect efPush=EffectForcePushTargeted(location1,0);
	effect efDamage;
	float float1=3.3;
	object oShapeObject;
	oShapeObject = GetFirstObjectInShape(4, float1, location1, 1, 1, [0.0,0.0,0.0]);
	while (GetIsObjectValid(oShapeObject)) {
		if (((!GetIsNeutral(oShapeObject, OBJECT_SELF)) && (oShapeObject != OBJECT_SELF))) {
			int int3 = 22;
			efDamage = EffectDamage(int3, 4096, 0);
			ApplyEffectToObject(0, efPush, oShapeObject, 0.0);
			ApplyEffectToObject(0, efDamage, oShapeObject, 0.0);
		}
		oShapeObject = GetNextObjectInShape(4, float1, location1, 1, 1, [0.0,0.0,0.0]);
	}
	SetMinOneHP(Object1, 0);
	ApplyEffectToObject(2, efDeath, Object1, 0.0);
}
void main()
{
    object oSelf=OBJECT_SELF;
    int nCurrentHP;
    int nUser = GetUserDefinedEventNumber();
    if(nUser == 1006) // DAMAGED
    {
       nCurrentHP=GetCurrentHitPoints();
       if (nCurrentHP<10) {
		CancelCombat (OBJECT_SELF);
		ClearAllActions();
		ChangeToStandardFaction(OBJECT_SELF, 5);
		SetCommandable(1, oSelf);

		AssignCommand(oSelf, ActionWait(1.0));
		AssignCommand(oSelf, ActionBarkString(87069));
		AssignCommand(oSelf, ActionWait(3.0));
		AssignCommand(oSelf, ActionBarkString(87070));
		AssignCommand(oSelf, ActionWait(3.0));
		AssignCommand(oSelf, ActionBarkString(87071));
		AssignCommand(oSelf, ActionWait(3.0));
		AssignCommand(oSelf, ActionBarkString(87072));
		AssignCommand(oSelf, ActionWait(2.0));
		AssignCommand(oSelf, ActionDoCommand(GenoExplosion(oSelf)));
       }
   
    }
}