void ForceZap(object oTarget) {

	effect eVisual=EffectVisualEffect(1006);
	ApplyEffectToObject(DURATION_TYPE_TEMPORARY, eVisual, oTarget, 1.0);
	}


//a_sion_cs.nss

void main() {

object oSion=GetObjectByTag("sion");
object oNihilus=GetObjectByTag("nihilus");

int nParam=GetScriptParameter(1);

if (nParam == 0) {

	SetLockOrientationInDialog(oNihilus, 1);
	AssignCommand(oNihilus, SetFacing(180.0));

	SetLockOrientationInDialog(oSion, 1);
	AssignCommand(oSion, SetFacing(180.0));
	}

if (nParam == 1) {

	location lSion=Location(Vector(-233.72, 41.01, 12.337), 180.0);
	AssignCommand(oSion, ActionForceMoveToLocation(lSion, 0));

	location lMove1=Location(Vector(-225.52, 38.43, 12.337), 0.00);
	location lMove2=Location(Vector(-225.52, 44.43, 12.337), 0.00);

	DelayCommand(6.0, AssignCommand(GetObjectByTag("slave01"), ActionForceMoveToLocation(lMove2, 0)));
	DelayCommand(6.0, AssignCommand(GetObjectByTag("slave02"), ActionForceMoveToLocation(lMove1, 0)));

	DelayCommand(8.0, AssignCommand(GetObjectByTag("slave01"), SetFacingPoint(GetPosition(oNihilus))));
	DelayCommand(8.0, AssignCommand(GetObjectByTag("slave02"), SetFacingPoint(GetPosition(oNihilus))));

	DelayCommand(9.6, AssignCommand(GetObjectByTag("slave01"), ActionPlayAnimation(105, 1.0, 3.0)));
	DelayCommand(9.6, AssignCommand(GetObjectByTag("slave02"), ActionPlayAnimation(105, 1.0, 3.0)));

	DelayCommand(12.5, SetDialogPlaceableCamera(19));

	}

if (nParam == 2) {

	location lExit=Location(Vector(-225.52, 41.01, 12.337), 0.0);
	AssignCommand(oSion, ActionForceMoveToLocation(lExit, 0));
	}

if (nParam == 3) {
	SetLightsaberPowered(oSion, 1, 1, 1);	
	}

if (nParam == 4) {

	// ATTENTION:
	// THIS IS THE SECTION WHERE SION GETS HIS ASS KICKED, HAVE A NICE DAY

	object oSith1=GetObjectByTag("sion_ass01", 0);
	object oSith2=GetObjectByTag("sion_ass01", 1);
	object oSith3=GetObjectByTag("sion_ass01", 2);
	object oSith4=GetObjectByTag("sion_ass01", 3);

	location lDeath=Location(Vector(-231.95, 41.01, 12.337), 180.0);
	AssignCommand(oSion, ActionForceMoveToLocation(lDeath, 1));

	DelayCommand(1.0, AssignCommand(oNihilus, SetFacing(0.0)));

	DelayCommand(1.5, AssignCommand(oNihilus, ActionPlayAnimation(121, 1.0, 100.0)));
	DelayCommand(1.5, AssignCommand(oSion, ClearAllActions()));

	DelayCommand(1.5, AssignCommand(oSion, ActionPlayAnimation(21, 1.0, 100.0)));

	//Beams Force Lightning: 2038
	effect efBeam=EffectBeam(2026, oNihilus, BODY_NODE_HAND_LEFT);
	effect efBeam2=EffectBeam(2038, oNihilus, BODY_NODE_HAND_LEFT);
	effect efBeamSion=EffectBeam(2026, oSion, BODY_NODE_CHEST);

	DelayCommand(1.6, ApplyEffectToObject(1, efBeam, oSion, 23.9));
	DelayCommand(1.6, ApplyEffectToObject(1, efBeam2, oSion, 23.9));
	DelayCommand(1.6, ApplyEffectToObject(1, efBeam2, GetObjectByTag("slave01"), 10.0));
	DelayCommand(1.6, ApplyEffectToObject(1, efBeam2, GetObjectByTag("slave02"), 10.0));
	DelayCommand(1.6, ForceZap(oSion));

	DelayCommand(2.0, AssignCommand(oSith1, ActionPlayAnimation(21, 1.0, 100.0)));
	DelayCommand(2.0, AssignCommand(oSith2, ActionPlayAnimation(21, 1.0, 100.0)));
	DelayCommand(2.0, AssignCommand(oSith3, ActionPlayAnimation(21, 1.0, 100.0)));
	DelayCommand(2.0, AssignCommand(oSith4, ActionPlayAnimation(21, 1.0, 100.0)));

	DelayCommand(2.0, ApplyEffectToObject(1, efBeamSion, oSith1, 100.0));
	DelayCommand(2.0, ApplyEffectToObject(1, efBeamSion, oSith2, 100.0));
	DelayCommand(2.0, ApplyEffectToObject(1, efBeamSion, oSith3, 100.0));
	DelayCommand(2.0, ApplyEffectToObject(1, efBeamSion, oSith4, 100.0));

	DelayCommand(2.0, ForceZap(oSith1));
	DelayCommand(2.0, ForceZap(oSith2));
	DelayCommand(2.0, ForceZap(oSith3));
	DelayCommand(2.0, ForceZap(oSith4));

	DelayCommand(2.0, SetLightsaberPowered(oSion, 1, 0, 0));

	location lSith1=GetLocation(oSith1);
	location lSith2=GetLocation(oSith2);
	location lSith3=GetLocation(oSith3);
	location lSith4=GetLocation(oSith4);

	effect efVisual=EffectVisualEffect(1046);
	effect efVisual2=EffectVisualEffect(1044);
	location lEscape=Location(Vector(-143.54, 41.19, 11.81841), 180.0);

	DelayCommand(7.0, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual, lSith1, 2.0));
	DelayCommand(7.2, AssignCommand(oSith1, ClearAllEffects()));
	DelayCommand(7.2, AssignCommand(oSith1, JumpToLocation(lEscape)));
	DelayCommand(7.2, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual2, lSith1, 3.0));

	DelayCommand(8.0, SetDialogPlaceableCamera(104));
	DelayCommand(11.0, SetDialogPlaceableCamera(103));

	DelayCommand(11.0, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual, lSith2, 2.0));
	DelayCommand(11.2, AssignCommand(oSith2, ClearAllEffects()));
	DelayCommand(11.2, AssignCommand(oSith2, JumpToLocation(lEscape)));
	DelayCommand(11.2, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual2, lSith2, 3.0));

	DelayCommand(15.0, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual, lSith3, 2.0));
	DelayCommand(15.2, AssignCommand(oSith3, ClearAllEffects()));
	DelayCommand(15.2, AssignCommand(oSith3, JumpToLocation(lEscape)));
	DelayCommand(15.2, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual2, lSith3, 3.0));

	DelayCommand(19.0, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual, lSith4, 2.0));
	DelayCommand(19.2, AssignCommand(oSith4, ClearAllEffects()));
	DelayCommand(19.2, AssignCommand(oSith4, JumpToLocation(lEscape)));
	DelayCommand(19.2, ApplyEffectAtLocation(DURATION_TYPE_TEMPORARY, efVisual2, lSith4, 3.0));

	DelayCommand(20.0, SetDialogPlaceableCamera(22));

	DelayCommand(21.9, AssignCommand(oSion, ClearAllActions()));
	DelayCommand(22.0, AssignCommand(oSion, ActionPlayAnimation(10460, 1.0, (-1.0))));
	DelayCommand(24.0, AssignCommand(oSion, ClearAllEffects()));
	}

if (nParam == 5) {

	AssignCommand(oNihilus, ClearAllActions());
	DelayCommand(1.0, AssignCommand(oNihilus, SetFacing(180.0)));
	}

if (nParam == 6) {
	StartNewModule("303NAR", "FROM_305NAR", "", "", "", "", "", "");
	}

if (nParam == 7) {
	AssignCommand(oSion, ClearAllActions());
	AssignCommand(oSion, SetFacing(0.0));
	location lExit=Location(Vector(-215.52, 41.01, 12.337), 0.0);
	AssignCommand(oSion, ActionForceMoveToLocation(lExit, 0));
	}

if (nParam == 8) {
	DelayCommand(6.0, SetLightsaberPowered(oSion, 1, 1, 1));
	DelayCommand(7.0, AssignCommand(oSion, ActionPlayAnimation(ANIMATION_LOOPING_CHOKE, 1.0, -1.0)));
	}
	
}