//k_015ebo_enter.nss

void main() {

	object oEntering = GetEnteringObject();
	if ((oEntering == GetFirstPC())) {
		
		if (GetLoadFromSaveGame()) {
			return;
        }
	if ((GetGlobalNumber("015Ebo_Cut")) == 0) {
		SetGlobalFadeOut(0.0, 0.0);
		location lDisciple=Location(Vector(47.06,42.97,1.80), 60.0);
		location lKreia=Location(Vector(46.08,44.53,1.80), 0.0);
		location lAtton=Location(Vector(46.06,47.72,1.80), 0.0);
		location lVisas=Location(Vector(47.56,49.70,1.80), 330.0);

		object oKreia=SpawnAvailableNPC(NPC_KREIA, lKreia);
		object oAtton=SpawnAvailableNPC(NPC_ATTON, lAtton);
		object oVisas=SpawnAvailableNPC(NPC_VISAS, lVisas);
		object oHand=SpawnAvailableNPC(NPC_HANDMAIDEN, lDisciple);
		object oDis=SpawnAvailableNPC(NPC_DISCIPLE, lDisciple);
		object oTalker=CreateObject(OBJECT_TYPE_PLACEABLE, "talker", lDisciple);

		SetLockOrientationInDialog(oKreia, TRUE);
		SetLockOrientationInDialog(oAtton, TRUE);
		SetLockOrientationInDialog(oVisas, TRUE);
		SetLockOrientationInDialog(oHand, TRUE);
		SetLockOrientationInDialog(oDis, TRUE);
		AssignCommand(oTalker, ActionStartConversation(oEntering, "pcdead"));
		SetGlobalNumber("015Ebo_Cut", 1);
		}

	else if ((GetGlobalNumber("015Ebo_Cut")) == 1) {
		SetGlobalFadeOut(0.0, 0.0);
		location lKreia=Location(Vector(46.08,44.53,1.80), 0.0);
		location lAtton=Location(Vector(46.06,47.72,1.80), 0.0);
		location lT3=Location(Vector(47.56,49.70,1.80), 330.0);
		location lPC=Location(Vector(47.06,42.97,1.80), 60.0);

		//object oKreia=SpawnAvailableNPC(NPC_KREIA, lKreia);
		object oKreia=GetObjectByTag("Kreia");
		object oAtton=SpawnAvailableNPC(NPC_ATTON, lAtton);
		object oVisas=SpawnAvailableNPC(NPC_T3_M4, lT3);
		AssignCommand(GetFirstPC(), JumpToLocation(lPC));
		DelayCommand(0.2, AssignCommand(oKreia, ActionStartConversation(oEntering, "pcalive")));
		}
	}
}